use Time::HiRes;

open my $regex_file, '<', "perl-email-regex.txt" or die "missing perl-email-regex.txt"; 
my $regex = <$regex_file>; 
my $regex = qr/($regex)/; 
close $regex_file;


open my $data_file, '<', "emails.txt" or die "missing emails.txt"; 
my $lines;
while (my $line = <$data_file>) {   
  push @lines, $line;
}
close $data_file;

my $start_time = Time::HiRes::gettimeofday();

foreach (@lines)
{
  my $match = ($_ =~ /$regex/);
}
my $stop_time = Time::HiRes::gettimeofday();

printf("Checked %d addresses in %.5f ms\n", $#lines + 1, ($stop_time - $start_time)*1000);
